<?php

namespace Property\Property;

use DB;
use Illuminate\Database\Seeder;

class BalanceTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('balances')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'property.balance.view',
                'name'      => 'View Balance',
            ],
            [
                'slug'      => 'property.balance.create',
                'name'      => 'Create Balance',
            ],
            [
                'slug'      => 'property.balance.edit',
                'name'      => 'Update Balance',
            ],
            [
                'slug'      => 'property.balance.delete',
                'name'      => 'Delete Balance',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'property.balance.verify',
                'name'      => 'Verify Balance',
            ],
            [
                'slug'      => 'property.balance.approve',
                'name'      => 'Approve Balance',
            ],
            [
                'slug'      => 'property.balance.publish',
                'name'      => 'Publish Balance',
            ],
            [
                'slug'      => 'property.balance.unpublish',
                'name'      => 'Unpublish Balance',
            ],
            [
                'slug'      => 'property.balance.cancel',
                'name'      => 'Cancel Balance',
            ],
            [
                'slug'      => 'property.balance.archive',
                'name'      => 'Archive Balance',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/property/balance',
                'name'        => 'Balance',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/property/balance',
                'name'        => 'Balance',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'balance',
                'name'        => 'Balance',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Property',
                'module'    => 'Balance',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'property.balance.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
