<?php

namespace Property\Property;

use DB;
use Illuminate\Database\Seeder;

class BalanceTypeTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('balance_types')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'property.balance_type.view',
                'name'      => 'View BalanceType',
            ],
            [
                'slug'      => 'property.balance_type.create',
                'name'      => 'Create BalanceType',
            ],
            [
                'slug'      => 'property.balance_type.edit',
                'name'      => 'Update BalanceType',
            ],
            [
                'slug'      => 'property.balance_type.delete',
                'name'      => 'Delete BalanceType',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'property.balance_type.verify',
                'name'      => 'Verify BalanceType',
            ],
            [
                'slug'      => 'property.balance_type.approve',
                'name'      => 'Approve BalanceType',
            ],
            [
                'slug'      => 'property.balance_type.publish',
                'name'      => 'Publish BalanceType',
            ],
            [
                'slug'      => 'property.balance_type.unpublish',
                'name'      => 'Unpublish BalanceType',
            ],
            [
                'slug'      => 'property.balance_type.cancel',
                'name'      => 'Cancel BalanceType',
            ],
            [
                'slug'      => 'property.balance_type.archive',
                'name'      => 'Archive BalanceType',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/property/balance_type',
                'name'        => 'BalanceType',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/property/balance_type',
                'name'        => 'BalanceType',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'balance_type',
                'name'        => 'BalanceType',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Property',
                'module'    => 'BalanceType',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'property.balance_type.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
