<?php

namespace Property\Property;

use DB;
use Illuminate\Database\Seeder;

class ProjectTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('projects')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'property.project.view',
                'name'      => 'View Project',
            ],
            [
                'slug'      => 'property.project.create',
                'name'      => 'Create Project',
            ],
            [
                'slug'      => 'property.project.edit',
                'name'      => 'Update Project',
            ],
            [
                'slug'      => 'property.project.delete',
                'name'      => 'Delete Project',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'property.project.verify',
                'name'      => 'Verify Project',
            ],
            [
                'slug'      => 'property.project.approve',
                'name'      => 'Approve Project',
            ],
            [
                'slug'      => 'property.project.publish',
                'name'      => 'Publish Project',
            ],
            [
                'slug'      => 'property.project.unpublish',
                'name'      => 'Unpublish Project',
            ],
            [
                'slug'      => 'property.project.cancel',
                'name'      => 'Cancel Project',
            ],
            [
                'slug'      => 'property.project.archive',
                'name'      => 'Archive Project',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/property/project',
                'name'        => 'Project',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/property/project',
                'name'        => 'Project',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'project',
                'name'        => 'Project',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Property',
                'module'    => 'Project',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'property.project.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
