<?php

namespace Property\Property\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Revision\Traits\Revision;
use Litepie\Trans\Traits\Translatable;
use Litepie\Workflow\Model\Workflow;
class Balance extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, Revision, PresentableTrait;

    use Workflow;

    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'property.property.balance.model';


    /**
     * The project_fk_balance that belong to the balance.
     */
    public function project_fk_balance(){
        return $this->hasOne('Property\Balance\Models\Project');
    }


    /**
     * The balancetype_fk_balance that belong to the balance.
     */
    public function balancetype_fk_balance(){
        return $this->hasOne('Property\Balance\Models\BalanceType');
    }
}
