<?php

namespace Property\Property\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Revision\Traits\Revision;
use Litepie\Trans\Traits\Translatable;
use Litepie\Workflow\Model\Workflow;
class Project extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, Revision, PresentableTrait;

    use Workflow;

    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'property.property.project.model';


    /**
     * The property_fk_project that belong to the project.
     */
    public function property_fk_project(){
        return $this->hasOne('Property\Project\Models\Property');
    }
}
