<?php

namespace Property\Property\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Property policy
        'Property\Property\Models\Property' => \Property\Property\Policies\PropertyPolicy::class,
// Bind Project policy
        'Property\Property\Models\Project' => \Property\Property\Policies\ProjectPolicy::class,
// Bind BalanceType policy
        'Property\Property\Models\BalanceType' => \Property\Property\Policies\BalanceTypePolicy::class,
// Bind Balance policy
        'Property\Property\Models\Balance' => \Property\Property\Policies\BalancePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
