<?php

namespace Property\Property\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BalanceTransformer extends TransformerAbstract
{
    public function transform(\Property\Property\Models\Balance $balance)
    {
        return [
            'id'                => $balance->getRouteKey(),
            'key'               => [
                'public'    => $balance->getPublicKey(),
                'route'     => $balance->getRouteKey(),
            ], 
            'referenceid'       => $balance->referenceid,
            'typeid'            => $balance->typeid,
            'amount'            => $balance->amount,
            'date'              => $balance->date,
            'description'       => $balance->description,
            'url'               => [
                'public'    => trans_url('property/'.$balance->getPublicKey()),
                'user'      => guard_url('property/balance/'.$balance->getRouteKey()),
            ], 
            'status'            => trans('app.'.$balance->status),
            'created_at'        => format_date($balance->created_at),
            'updated_at'        => format_date($balance->updated_at),
        ];
    }
}