<?php

namespace Property\Property\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BalanceTypeTransformer extends TransformerAbstract
{
    public function transform(\Property\Property\Models\BalanceType $balance_type)
    {
        return [
            'id'                => $balance_type->getRouteKey(),
            'key'               => [
                'public'    => $balance_type->getPublicKey(),
                'route'     => $balance_type->getRouteKey(),
            ], 
            'Name'              => $balance_type->Name,
            'description'       => $balance_type->description,
            'debit'             => $balance_type->debit,
            'url'               => [
                'public'    => trans_url('property/'.$balance_type->getPublicKey()),
                'user'      => guard_url('property/balance_type/'.$balance_type->getRouteKey()),
            ], 
            'status'            => trans('app.'.$balance_type->status),
            'created_at'        => format_date($balance_type->created_at),
            'updated_at'        => format_date($balance_type->updated_at),
        ];
    }
}