<?php

namespace Property\Property\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProjectTransformer extends TransformerAbstract
{
    public function transform(\Property\Property\Models\Project $project)
    {
        return [
            'id'                => $project->getRouteKey(),
            'key'               => [
                'public'    => $project->getPublicKey(),
                'route'     => $project->getRouteKey(),
            ], 
            'propertyid'        => $project->propertyid,
            'Name'              => $project->Name,
            'startdate'         => $project->startdate,
            'enddate'           => $project->enddate,
            'status'            => $project->status,
            'url'               => [
                'public'    => trans_url('property/'.$project->getPublicKey()),
                'user'      => guard_url('property/project/'.$project->getRouteKey()),
            ], 
            'status'            => trans('app.'.$project->status),
            'created_at'        => format_date($project->created_at),
            'updated_at'        => format_date($project->updated_at),
        ];
    }
}