<?php

namespace Property\Property\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PropertyTransformer extends TransformerAbstract
{
    public function transform(\Property\Property\Models\Property $property)
    {
        return [
            'id'                => $property->getRouteKey(),
            'key'               => [
                'public'    => $property->getPublicKey(),
                'route'     => $property->getRouteKey(),
            ], 
            'name'              => $property->name,
            'owner'             => $property->owner,
            'location'          => $property->location,
            'url'               => [
                'public'    => trans_url('property/'.$property->getPublicKey()),
                'user'      => guard_url('property/property/'.$property->getRouteKey()),
            ], 
            'status'            => trans('app.'.$property->status),
            'created_at'        => format_date($property->created_at),
            'updated_at'        => format_date($property->updated_at),
        ];
    }
}