<?php

namespace Property\Property\Workflow;

use Property\Property\Models\Balance;
use Property\Property\Notifications\BalanceWorkflow as BalanceNotifyer;
use Notification;

class BalanceNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Balance $balance
     *
     * @return void
     */
    public function complete(Balance $balance)
    {
        return Notification::send($balance->user, new BalanceNotifyer($balance, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Balance $balance
     *
     * @return void
     */
    public function verify(Balance $balance)
    {
        return Notification::send($balance->user, new BalanceNotifyer($balance, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Balance $balance
     *
     * @return void
     */
    public function approve(Balance $balance)
    {
        return Notification::send($balance->user, new BalanceNotifyer($balance, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Balance $balance
     *
     * @return void
     */
    public function publish(Balance $balance)
    {
        return Notification::send($balance->user, new BalanceNotifyer($balance, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Balance $balance
     *
     * @return void
     */
    public function archive(Balance $balance)
    {
        return Notification::send($balance->user, new BalanceNotifyer($balance, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Balance $balance
     *
     * @return void
     */
    public function unpublish(Balance $balance)
    {
        return Notification::send($balance->user, new BalanceNotifyer($balance, 'unpublish'));;

    }
}
