<?php

namespace Property\Property\Workflow;

use Property\Property\Models\BalanceType;
use Property\Property\Notifications\BalanceTypeWorkflow as BalanceTypeNotifyer;
use Notification;

class BalanceTypeNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param BalanceType $balance_type
     *
     * @return void
     */
    public function complete(BalanceType $balance_type)
    {
        return Notification::send($balance_type->user, new BalanceTypeNotifyer($balance_type, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param BalanceType $balance_type
     *
     * @return void
     */
    public function verify(BalanceType $balance_type)
    {
        return Notification::send($balance_type->user, new BalanceTypeNotifyer($balance_type, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param BalanceType $balance_type
     *
     * @return void
     */
    public function approve(BalanceType $balance_type)
    {
        return Notification::send($balance_type->user, new BalanceTypeNotifyer($balance_type, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param BalanceType $balance_type
     *
     * @return void
     */
    public function publish(BalanceType $balance_type)
    {
        return Notification::send($balance_type->user, new BalanceTypeNotifyer($balance_type, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param BalanceType $balance_type
     *
     * @return void
     */
    public function archive(BalanceType $balance_type)
    {
        return Notification::send($balance_type->user, new BalanceTypeNotifyer($balance_type, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param BalanceType $balance_type
     *
     * @return void
     */
    public function unpublish(BalanceType $balance_type)
    {
        return Notification::send($balance_type->user, new BalanceTypeNotifyer($balance_type, 'unpublish'));;

    }
}
