<?php

namespace Property\Property\Workflow;

use Property\Property\Models\Property;
use Property\Property\Notifications\PropertyWorkflow as PropertyNotifyer;
use Notification;

class PropertyNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Property $property
     *
     * @return void
     */
    public function complete(Property $property)
    {
        return Notification::send($property->user, new PropertyNotifyer($property, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Property $property
     *
     * @return void
     */
    public function verify(Property $property)
    {
        return Notification::send($property->user, new PropertyNotifyer($property, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Property $property
     *
     * @return void
     */
    public function approve(Property $property)
    {
        return Notification::send($property->user, new PropertyNotifyer($property, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Property $property
     *
     * @return void
     */
    public function publish(Property $property)
    {
        return Notification::send($property->user, new PropertyNotifyer($property, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Property $property
     *
     * @return void
     */
    public function archive(Property $property)
    {
        return Notification::send($property->user, new PropertyNotifyer($property, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Property $property
     *
     * @return void
     */
    public function unpublish(Property $property)
    {
        return Notification::send($property->user, new PropertyNotifyer($property, 'unpublish'));;

    }
}
